

package logic;



public class EqualsPred extends APredicate

{

 Object value;



 /**

  * @param value 

  * @SBGen Constructor assigns value

  */

 public EqualsPred(Object value)

 {

  // SBgen: Assign variable

  this.value = value;

 }

 /**

  * @param dat 

  * @return 

  */

 public IBoolean isTrue(Object dat)

 {

  return (BooleanFactory.Singleton.makeBoolean(value.equals(dat))); 

 }

}



